Download it now!
Bug 101951 - Shortcuts dont appear in menu for horizontal alignment options
Summary: Shortcuts dont appear in menu for horizontal alignment options
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Main-Menu Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2016-09-07 00:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-11-18 10:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-07 00:00:11 UTC
We have assigned shortcuts for align left, align right, align center, and justified, but they dont appear in the Format > Align submenu.

@Maxim: Any thoughts?
Comment 1 Maxim Monastirsky 2016-09-07 06:15:16 UTC
Shortcuts are assigned for .uno:LeftPara, .uno:CenterPara, .uno:RightPara, .uno:JustifyPara, but the menu has different commands: .uno:CommonAlignLeft, .uno:CommonAlignHorizontalCenter, .uno:CommonAlignRight, .uno:CommonAlignJustified.

The difference is that .uno:*Para commands work only with text, but .uno:CommonAlign* (as the name suggest) are universal and work for shapes too, i.e. if you select 2 shapes, it will do the same as the commands in alignmentbar toolbar.
Comment 2 Yousuf Philips (jay) (retired) 2016-09-07 13:35:00 UTC
So do you think i should also include the *Para commands in the menu, so people can discover the shortcuts?
Comment 3 V Stuart Foote 2016-09-07 15:01:45 UTC
Not sure they are needed. 

Are the same shortcuts assigned to the Common as to the Para .uno commands?

Shortcuts (Formatting menu and Sidebar Properties deck) look to be:
<Ctrl>+L -- left
<Ctrl>+E -- centered
<Ctrl>+R -- right
<Ctrl>+J -- justified.

But notice the mnemonic accelerator on the Format -> Align menu for Centered is currently "C" and that no shortcuts are listed.
Comment 4 V Stuart Foote 2016-09-07 15:04:19 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> So do you think i should also include the *Para commands in the menu, so
> people can discover the shortcuts?

Shortcuts should be shown, but don't think a second set is needed--if shortcuts are otherwise the same.
Comment 5 Yousuf Philips (jay) (retired) 2016-09-07 16:17:46 UTC
(In reply to V Stuart Foote from comment #3)
> Are the same shortcuts assigned to the Common as to the Para .uno commands?

No the Common ones dont have shortcuts assigned to them.

> Shortcuts (Formatting menu and Sidebar Properties deck) look to be:

I assume you mean formatting toolbar.

The Para commands are set at the module level, so we should be able to assign the Common ones at LibreOffice level and the shortcuts will appear.
Comment 6 V Stuart Foote 2016-09-07 16:50:59 UTC
(In reply to Yousuf Philips (jay) from comment #5)

> I assume you mean formatting toolbar.
> 

Sorry, yes assigned to button widgets toolbar and sidebar, just not yet to menu entries.

> The Para commands are set at the module level, so we should be able to
> assign the Common ones at LibreOffice level and the shortcuts will appear.

So adding for the Common and not adding the Para to the menus should cover keep the UI consistent. Only question is if using the Common command on Paragraphs actually gives the same result--visually it seems to in some simple comparisons.
Comment 7 Yousuf Philips (jay) (retired) 2016-09-07 23:25:19 UTC
(In reply to Maxim Monastirsky from comment #1)
> The difference is that .uno:*Para commands work only with text, but
> .uno:CommonAlign* (as the name suggest) are universal and work for shapes
> too, i.e. if you select 2 shapes, it will do the same as the commands in
> alignmentbar toolbar.

Yes that is true, but .uno:Common* dont work in impress/draw on shapes or text, so there are two Align submenu entries in impress, 1 for text and 1 for objects. On the other hand .uno:*Para dont work in calc cells.

I've submitted a patch to assign the shortcuts for Common* which will benefit writer and calc - https://gerrit.libreoffice.org/28724
Comment 8 Commit Notification 2016-09-13 14:06:48 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2075a1e4a4001300afeef3bf1c9c285022ed7473

tdf#101951 Add shortcuts to common alignment shortcuts

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.